<template>
  <div class="sort">
    <form>
      <select class="sort__select" v-model="sort" @change="changeSort">
        <option value="asc">Ascending</option>
        <option value="desc">Descending</option>
      </select>
    </form>
  </div>
</template>
<script setup lang="ts">
const sort = ref('asc')
const router = useRouter()

const changeSort = () => {
  router.push({query: {...router.currentRoute.value.query, _sort: 'title', _order: sort.value}})
}
</script>